> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/currency-api/pair/delete-currency-pairs.md).

# Delete currency pairs

## DELETE /public/v1/exchange/pairs

> Deletes multiple pairs from the body.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.9.245-gd8302a06"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/exchange/pairs":{"delete":{"tags":["Pairs"],"summary":"Deletes multiple pairs from the body.","requestBody":{"description":"The pairs to delete.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PairBulkData"}},"text/json":{"schema":{"$ref":"#/components/schemas/PairBulkData"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/PairBulkData"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Pair"}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"PairBulkData":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Pair"},"description":"Array of data models"}},"additionalProperties":false,"description":"Bulk operation data model"},"Pair":{"type":"object","properties":{"audit":{"allOf":[{"$ref":"#/components/schemas/ExchangeAudit"}],"description":"Exchange Entity Audit properties bag"},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"revision":{"type":"integer","format":"int32"},"id":{"type":"string","description":"The unique identifier of the pair."},"name":{"type":"string","description":"The name of the pair."},"externalId":{"type":"string","description":"The external id of the pair","nullable":true},"notes":{"type":"string","description":"Notes for the pair","nullable":true},"primary":{"type":"boolean","description":"If the pair is primary"},"reverse":{"type":"object","allOf":[{"$ref":"#/components/schemas/PairRef"}]},"sourceCurrency":{"allOf":[{"$ref":"#/components/schemas/Currency"}],"description":"Source Currency of the pair"},"destinationCurrency":{"allOf":[{"$ref":"#/components/schemas/Currency"}],"description":"Destination currency of the pair"},"latestRate":{"allOf":[{"$ref":"#/components/schemas/Rate"}],"description":"Latest pair rate"},"agreements":{"type":"integer","description":"Number of agreements","format":"int32"},"rates":{"type":"integer","description":"Number of rates","format":"int32"},"status":{"allOf":[{"$ref":"#/components/schemas/PairStatus"}],"description":"The current status of the pair."}},"additionalProperties":false,"description":"Represents a pair of currencies in exchange module."},"ExchangeAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"deleted":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"description":"Delete event details","nullable":true}},"additionalProperties":false,"description":"Exchange Entity Audit properties bag"},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"PairRef":{"type":"object","properties":{"revision":{"type":"integer","format":"int32"},"id":{"type":"string","description":"The unique identifier of the pair."},"name":{"type":"string","description":"The name of the pair."},"externalId":{"type":"string","description":"The external id of the pair","nullable":true},"notes":{"type":"string","description":"Notes for the pair","nullable":true},"primary":{"type":"boolean","description":"If the pair is primary"},"sourceCurrency":{"allOf":[{"$ref":"#/components/schemas/Currency"}],"description":"Source Currency of the pair"},"destinationCurrency":{"allOf":[{"$ref":"#/components/schemas/Currency"}],"description":"Destination currency of the pair"},"latestRate":{"allOf":[{"$ref":"#/components/schemas/Rate"}],"description":"Latest pair rate"}},"additionalProperties":false,"description":"Represents a pair of currencies in exchange module."},"Currency":{"type":"object","properties":{"audit":{"allOf":[{"$ref":"#/components/schemas/ExchangeAudit"}],"description":"Exchange Entity Audit properties bag"},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"id":{"type":"string","description":"The unique identifier of the currency."},"name":{"type":"string","description":"The name of the currency."},"code":{"type":"string","description":"The ISO code of currency"},"precision":{"type":"integer","description":"Precision of the currency","format":"int32"},"statistics":{"allOf":[{"$ref":"#/components/schemas/CurrencyStatistics"}],"description":"Currency statistics"},"status":{"allOf":[{"$ref":"#/components/schemas/CurrencyStatus"}],"description":"The current status of the currency."}},"additionalProperties":false,"description":"Represents currency in exchange module."},"CurrencyStatistics":{"type":"object","properties":{"sellerCount":{"type":"integer","description":"Number of sellers using currency","format":"int32"},"pairCount":{"type":"integer","description":"Number of pairs","format":"int32"}},"additionalProperties":false,"description":"Currency usage statistics"},"CurrencyStatus":{"enum":["Active","Deleted"],"type":"string","description":"Currency status enumeration"},"Rate":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/ExchangeAudit"}],"description":"Exchange Entity Audit properties bag"},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"pair":{"type":"object","allOf":[{"$ref":"#/components/schemas/PairRef"}]},"recordDate":{"type":"string","description":"Date and time of rate","format":"date-time"},"value":{"type":"number","description":"Rate from source to destination currency","format":"double"},"externalId":{"type":"string","description":"External id of rate","nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/RateStatus"}],"description":"Record status"},"reverseRate":{"type":"object","allOf":[{"$ref":"#/components/schemas/RateRef"}]}},"additionalProperties":false,"description":"Record of rate for specific day"},"RateStatus":{"enum":["Active","Deleted"],"type":"string","description":"Record status enumeration"},"RateRef":{"type":"object","properties":{"id":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"value":{"type":"number","description":"Rate from source to destination currency","format":"double"},"externalId":{"type":"string","description":"External id of rate","nullable":true}},"additionalProperties":false,"description":"Record of rate for specific day"},"PairStatus":{"enum":["Active","Deleted"],"type":"string","description":"Rate status enumeration"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/currency-api/pair/delete-currency-pairs.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
